Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.scope
Class ConstructionHeuristicPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
          org.optaplanner.core.impl.constructionheuristic.scope.ConstructionHeuristicPhaseScope

    public class ConstructionHeuristicPhaseScope

extends AbstractPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`ConstructionHeuristicPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`ConstructionHeuristicStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(ConstructionHeuristicStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpent, calculateScore, calculateSolverTimeMillisSpent, getBestScore, getBestScoreWithUninitializedPrefix, getBestSolutionStepIndex, getNextStepIndex, getPhaseBestSolutionTimeMillis, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructionHeuristicPhaseScope

    public ConstructionHeuristicPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public ConstructionHeuristicStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(ConstructionHeuristicStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.